Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 14/07/2010, à 20:47

Lapile33

[Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Bonjour,

j'ai télécharger un logiciel qui est en .run

j'ai modifié les propriétés du fichier pour le rendre executable.

Lorsque je double clique sur l'icone du fichier, et que je valide avec le bouton "lancer", rien ne se passe.

Etant novice avec Ubuntu, quel est le processus pour installer et utiliser ce soft ?

Merci

Dernière modification par Lapile33 (Le 15/07/2010, à 22:42)

Hors ligne

#2 Le 14/07/2010, à 20:59

xabilon

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Salut

Un fichier run ne s'installe pas, il s'exécute tout simplement. Tu as donc fait exactement ce qu'il fallait.
Cependant, es-tu sûr que ton logiciel a une interface graphique, et qu'il a les dépendances requises à son fonctionnement ?

Ouvre un terminal à l'endroit où se trouve ton .run, et tape :

./nom_du_fichier.run

Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#3 Le 14/07/2010, à 21:04

gl38

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Tu devrais plutôt ouvrir une fenêtre terminal (Applications > Accessoires > Terminal) et taper

cd <le dossier où est ton fichier)
./<le fichier .run>

ne pas oublier le point devant le slash !
sil y a un problème il y aura un message d'erreur, s'il faut être root
tu recommences avec
sudo ./<le fichier .run>

Cordialement,
Guy

Dernière modification par gl38 (Le 14/07/2010, à 21:04)

Hors ligne

#4 Le 14/07/2010, à 21:38

Lapile33

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

mon fichier est télécharger sur le bureau. J'ai ouvert un terminal, fait "cd Bureau" puis
j'ai essayé les 2 méthodes :

1) ./esp-r_v11.8_linux_precomp.run => Permission non accordée

2) sudo  ./esp-r_v11.8_linux_precomp.run => command not found

Une chose est sure : le fichier possede les 2 interfaces x11 et GTK

Découvrant Ubuntu, n'hésitez pas a détailler vos réponses pour un débutant.

Hors ligne

#5 Le 14/07/2010, à 21:52

xabilon

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

En cherchant le nom de ton fichier, je suis tombé sur ces instructions :
http://www.esru.strath.ac.uk/Downloads/ESP-r_linux_binaries/esp-r_v11.8_linux_precomp.readme

En traduisant, il faut faire, en terminal :

cd ~/Bureau
su
mv esp-r_v11.8_linux_precomp.run /tmp/
cd /tmp
./esp-r_v11.8_linux_precomp.run

Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#6 Le 14/07/2010, à 22:01

Lapile33

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

OK, j'ai fais comme tu as dis, l'installation s'est correctement déroulée, et j'ai les messages qui sont apparus :

"proceeding with the X11 version...
This may take a few minutes ...
Extracting X11 ESP-r distribution ...
Extracting ESP-r distribution ...done.

Creating a link to the ESP-r distribution...
ln: création d'un lien symbolique `/usr/esru/esru': Le fichier existe
Setting folder permissions...
chmod: modification des permissions de `/opt/esru': Opération non permise
chmod: modification des permissions de `/opt/esru': Opération non permise
...done.

Your PATH environment variable needs to be updated. The .bash_profile
file the PATH= line should include the following...
:/opt/esru/bin:/opt/esru/esp-r/bin

and if you have separately installed Radiance then be sure
to define the RAYPATH environment variable and export it.

Once you have updated the .bash_profile files for the users
on this computer logout and log in as a normal user and
in a command window issue 'prj' (without the quotes). If the
installation was successful you should find that the Project
Manager application has started up. If it does then you can
remove this installer."

Mais, je ne sais pas ou est insallé le soft, et il n'y a pas d'icone. Venant du monde de Windows, je suis un peu perdu.

Que faut-il faire SVP ?

Hors ligne

#7 Le 14/07/2010, à 22:16

xabilon

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Ben c'est à dire qu'on n'a aucune idée de quel est ce logiciel ni de ce qu'il fait.
En plus, pour un débutant, tu as choisi un logiciel qui a l'air assez compliqué à installer smile

Apparemment, les fichiers du logiciel se sont installés dans /opt/esru, et il faut indiquer à Ubuntu où chercher les exécutables.
Pour cela ouvre un autre terminal, et tape :

export PATH=$PATH:/opt/esru/bin:/opt/esru/esp-r/bin

Puis tente de lancer le logiciel, toujours en terminal, avec la commande prj

Dernière modification par xabilon (Le 14/07/2010, à 22:22)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#8 Le 14/07/2010, à 22:29

Lapile33

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

il y a un site qui donne une méthode d'installation.

http://www.esp-r.fr/index.php/telechargement

Mais comme je suis novice, je suis à la recherhce d'infos pour m'aider.

Est ce que cela peut m'aider :

"Installation sur Linux

Dans une console, tapez les commandes suivantes :

chmod +x esp-r_v11.7_linux_precomp.run

sudo ./esp-r_v11.7_linux_precomp.run

Dans le fichier .bashrc situé dans le répertoire personnel, ajoutez les deux lignes suivantes à la fin :

PATH=/opt/esru/esp-r/bin:$PATH

export PATH

Ouvrez une nouvelle console et lancez ESP-r avec la commande"

Merci

esp-r

Hors ligne

#9 Le 14/07/2010, à 23:21

xabilon

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Tu as essayé ma proposition ?

Sinon, ben oui, teste, sachant que tu n'as pas la même version (ça parle de 11.7, et toi tu as la 11.8)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#10 Le 15/07/2010, à 09:02

Lapile33

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

j'ai bien fait ce que tu as dis :

export PATH=$PATH:/opt/esru/bin:/opt/esru/esp-r/bin => apres le return, la ligne de commande apparait

prj => prj: error while loading shared libraries: libgfortran.so.1: cannot open shared object file: No such file or directory


je ne sais pas si j'ai executer la commande au mauvais endroit, si j'ai fait une saisie incomplete

j'ai executer les commandes à la racine principale. Est ce que j'ai bien fait... ou pas

J'y suis presque


PS: j'ai bien la v11.8, donc j'ai modifié en conséquence les textes de commande

Hors ligne

#11 Le 15/07/2010, à 09:07

Lapile33

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

J'ai trouvé 4 fichiers .bashrc


bash.baschrc      /etc
dot.bashrc          /usr/share/base-files
bash.baschrc      /usr/share/doc/adduser/examples/adduser.local.conf.examples
dot.bashrc          /usr/share/doc/adduser/examples/adduser.local.conf.examples/kel

Quel fichier faut-il modifier, et comment le modifier car je n'arrive pas a écrire du texte.

Merci

Hors ligne

#12 Le 15/07/2010, à 13:05

xabilon

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Tu t'embourbes et tu es mal parti. Tu as choisi d'installer un logiciel qui n'existe pas dans les dépôts, à l'installation compliquée, sans rien connaître à Ubuntu hmm

Ça :

prj => prj: error while loading shared libraries: libgfortran.so.1: cannot open shared object file: No such file or directory

veut dire qu'il manque des dépendances, donc des pré-requis au fonctionnement du logiciel.

Le fichier README que j'ai trouvé plus haut en donne déjà quelques unes. Il faut donc installer les paquets libx11-6, libg2c0 et libgcc1.
Installe ces paquets (si ils ne sont pas installés) puis relance en terminal :

esp-r

Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#13 Le 15/07/2010, à 14:20

Lapile33

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Si j'ai choisi ce logiciel, c'est que j'en ai besoin pour mon travail. Il existe en version Windows, mais il est bugué.

Néanmoins, venant de découvrir Ubuntu 10.04, que je trouve très agréable au niveau de l'interface graphique, je pense à acquérir plus de connaissance rapidement. Mais chaque chose en son temps.

Par rapport a ce que tu m'as dis :

j'utilise le gestionnaire de paquets Synaptic

libx11.6 => version 2:1.3.2-ubuntu3 installée

libgcc1 => version 1:4.4.4-4ubuntu5

libg2c0 => non installée

Je l'ai trouvé sur http://packages.debian.org/lenny/i386/libg2c0/download, et j'ai téléchargé la version libg2c0_3.4.6-9_i386.deb

Donc j'installe avec Gdebi, j'ai le message suivant :

Erreur : Dépendance non satisfaite : gcc-3.4-base (=3.4.6-9)

Qu'est ce que ca veux dire ?

Dernière modification par Lapile33 (Le 15/07/2010, à 14:58)

Hors ligne

#14 Le 15/07/2010, à 14:37

xabilon

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Non, n'installe pas de paquets Debian sur ton système, à moins de savoir parfaitement ce que tu fais!
Tu as là la preuve que Debian est différent d'Ubuntu

libg2c n'existe plus sur Ubuntu, elle été retirée depuis la 9.04 car obsolète, et là ça se complique sérieusement ...
En tout cas, c'est bien son absence qui donne l'erreur concernant libgfortran.

J'ai trouvé directement la libg2c ici :
http://www.fluvial.ch/download.html

C'est indiqué (en anglais) comment l'installer. Si tu te le sens, vas-y ; sinon, il faut que je m'absente quelques heures, on verra ça à mon retour wink


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#15 Le 15/07/2010, à 14:44

gl38

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

C'est écrit ici : le paquet dépend du paquet gcc-3.4-base que tu n'as pas encore.
C'est là qu'on voit que quand synaptic a ce qu'on cherche, c'est bien plus facile : il se débrouille tout seul pour satisfaire les dépendances et résoudre les conflits.

Cordialement,
Guy

Hors ligne

#16 Le 15/07/2010, à 14:44

Lapile33

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Pour info, je ne sais pas si j'ai fais des conneries ou pas, mais voilà le topo :

gcc-3.4-base installé avec GDebi => Toutes les dépendances sont satisfaites

pour le reste, c'est à dire libg2c0 => Erreur ...

Donc je récupère ta version de libg2c0 et j'attends...

Merci

A+

Hors ligne

#17 Le 15/07/2010, à 14:49

xabilon

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Juste avant de partir : installe le paquet libgfortran3 et relance le programme par esp-r

À toute à l'heure


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#18 Le 15/07/2010, à 14:52

Lapile33

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Je serai de retour vers 18H00.

On verra cela tout à l'heure

A+

Hors ligne

#19 Le 15/07/2010, à 17:59

Lapile33

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

J'ai téléchargé et installé libg2c dans le répertoire /usr/lib/

J'ai extrait les fichiers   .a   .la   .so   .so.0   .so.0.0.0

j'ai installé via synaptic libgfortran3

Pour lancer le programme, il faut se mettre dans le répertoire ?

Hors ligne

#20 Le 15/07/2010, à 19:19

Lapile33

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

J'ai téléchargé kwrite, installé et modifié le fichier .bashrc avec les lignes de commande PATH et export


lorsque je lance esp-r, jai le message suivant :

prj: error while loading shared libraries: libgfortran.so.1: cannot open shared object file: No such file or directory

Encore un paquet a installer ? Ou le trouver celui-là ?

Hors ligne

#21 Le 15/07/2010, à 19:33

xabilon

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Pourquoi kwrite ? pas besoin, gedit fait l'affaire ... en fait un simple éditeur de texte (tu peux donc faire un sudo apt-get autoremove kwrite).

Tu as fait ce qu'il fallait : décompresser l'archive de libgc2 dans /usr/lib
Tu es peut-être débutant, mais au moins tu sais lire et tu apprends vite wink

Pour la libgfortran, je pense qu'il cherche une lib qui est obsolète. Normalement, dans /usr/lib (ou peut-être ailleurs dans ton système) tu dois avoir une libgfortran.so.3 (installée par libgfortran3), ou quelque chose dont le nom ressemble.

Il va alors falloir créer un lien symbolique nommé libgfortran.so.1, qui renvoie vers libgfortran.so.3, afin de "faire croire" au logiciel qu'il utilise libgfortran.so.1

Où est ton fichier libgfortran.so.3 ?

Edit : ne crois pas que toutes les installations de logiciels sont aussi compliquées. Là c'est un cas très particulier.

Edit2 : au cas où tout ceci ne marcherait pas, j'ai aussi trouvé une page où ils conseillent plutôt de le compiler :
http://computersandbuildings.com/2010/06/installing-esp-r-on-ubuntu-9-10/
Et ça pour Ubuntu 10.04 :
http://lists.strath.ac.uk/archives/esp-r/2010/001748.html
On verra ça quand on aura tout épuisé tongue

Dernière modification par xabilon (Le 15/07/2010, à 19:39)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#22 Le 15/07/2010, à 19:54

Lapile33

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Re,

pour la petite anecdote, j'ai commencé l'informatique à l'époque de MS-DOS 3.1, il y + d e20 ans. Donc, les lignes de commande, les longues heures de recherche, les crashs, etc je connais un peu. J'ai l'impression de revivre une seconde jeunesse avec cette découverte du monde de linux. La principale différence vient d'Internet et des forums où tu trouves toujours quelqu'un qui peux apporter une réponse à ton problème; et ca c'est un vrai progrès.

Donc, pour le paquet libgfortran3, voici ce que Synacpic me dit :

/.
/usr
/usr/lib
/usr/lib/libgfortran.so.3
/usr/lib/libgfortran.so.3.0.0
/usr/share
/usr/share/doc
/usr/share/doc/libgfortran3

Concernant Kwrite, c'est le terminal Ubuntu qui m'a donné l'info. J'avais le choix avec nedit

Mais bon, ca a marché, donc démarche positive pour un apprentissage.

Dernière modification par Lapile33 (Le 16/07/2010, à 14:52)

Hors ligne

#23 Le 15/07/2010, à 19:59

Gemnoc

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Bonjour,

Désolé de m'immiscer... Je fais mon YannUbuntu! tongue

C'est plus ou moins clair pour moi ce que fait ce logiciel ESP-r, je trouve qu'il manque une bonne description sur le site officiel. Mais cette application ne mériterait-elle pas d'être ajoutée dans le portail calcul_numerique de la documentation?

Et puis, renommer le titre de la discussion pour quelque chose du style «Prob installation ESP-r 11.8 sous Ubuntu 10.04» pourrait être utile pour fins de recherche. Enfin, c'est juste une suggestion.

Bonne chance avec l'installation! smile

Dernière modification par Gemnoc (Le 15/07/2010, à 20:00)


Pensez à consulter la documentation ! :-)

Hors ligne

#24 Le 15/07/2010, à 20:02

Lapile33

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Ok, modif de titre faite

Hors ligne

#25 Le 15/07/2010, à 20:28

xabilon

Re : [Résolu] Prob installation ESP-r 11.8 sous Ubuntu 10.04

Sage proposition de Gemnoc. Une fois le sujet résolu, ce sera utile de mettre la procédure dans la documentation, pour pas que le prochain n'ai à se taper tout ce bordel.

Bon, puisque libgfortran1 est obsolète sur Ubuntu 10.04, on va créer un lien vers la version 3 :

sudo ln -s /usr/lib/libgfortran.so.3 /usr/lib/libgfortran.so.1

Un fichier libgfortran.so.1 apparaîtra dans /usr/lib, et il pointera vers libgfortran.so.3

Et puis relance esp-r

C'est pas dit que ça marche, peut-etre que la version 3 fonctionne d'une façon totalement différente de la version 1 ...


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

Haut de page ↑